
"""

@date ck
@desc 每小时获取各平台的的订单数据

"""
from util import platform_config_util
from util import date_util
from util import db_order_util
from util import platform_order_api_util
import time
import sys
from get_order_dairly_wending import start_order_job_wending

def start_order_job(st,et):
    start = time.time()

    account_list_yuewen = db_order_util.get_account_info_list("阅文")
    account_list_youshuge = db_order_util.get_account_info_list("悠书阁")
    db_order_util.batch_save_order(platform_order_api_util.get_yuewen_order(st,et, account_list_yuewen))
    db_order_util.batch_save_order(platform_order_api_util.get_youshuge_order(st,et, account_list_youshuge))
    zd(st,et)
    zzy(st,et)
    start_order_job_wending(st,et)
    print('订单同步执行时间（秒）：', int(time.time() - start))


def zzy(st,et):
    account_list_zhangzhongyun = db_order_util.get_account_info_list("掌中云")
    db_order_util.batch_save_order(platform_order_api_util.get_zhangzhongyun_order(st, et, account_list_zhangzhongyun))
def zd(st,et):
    account_list_zhangdu = db_order_util.get_account_info_list("掌读")
    db_order_util.batch_save_order(platform_order_api_util.get_zhangdu_order(st, et, account_list_zhangdu))


def run():
    print(date_util.getCurrentFormatTimeStr())

    st = date_util.getTodayOrYestoday()
    et = date_util.getPreviousHourAndCurrentHourSecondTime()[1]

    if sys.argv.__len__() > 1:
        st = date_util.get_n_day(n=-1, is_timestamp=1)
        et = date_util.get_n_day(n=0, is_timestamp=1)

    start_order_job(st, et)



if __name__ == '__main__':
    run()
    # st = date_util.str_to_stamp('2020-12-23')
    # et = date_util.str_to_stamp('2020-12-29')
    #
    # # et = date_util.get_n_day(n=-2, is_timestamp=1)
    # zzy(st,et)
    # st = date_util.get_n_day(-20,is_timestamp=1)
    # et = date_util.get_n_day(0,is_timestamp=1)
    # zd(st,et)



